Subject: bug#20452: 25.0.50; [PATCH] Invalid compilation warning about GTK+ when using GTK+ 3

From: Aku Kotkavuo <[email-masked]>
Date: Wed, 29 Apr 2015 13:43:40 +0300

>> The bug is still open. It looked like it was fixed for 2.10 (it did
>> not crash), but that might have been a fluke. Its easy to crash Gtk+
>> with multiple displays. They just don't care about the issue.

Oh. I haven’t encountered this bug and assumed that it was fixed in 2.10.

Is there an open bug filed in GTK+ bugzilla for this? I tried to search for something that matches the description but I came up empty.

> It sounds like Emacs's configure.ac is still wrong.
> It's warning for gtk2 < 2.10, or any gtk3.
> That seems like a nonsensical combination.
> 
> Cf emacs.c's 'due to a long standing Gtk bug...' warning,
> which it seems to issue whenever USE_GTK is defined, regardless of
> version.

If this affects everyone, maybe this warning should be replaced with an entry to etc/PROBLEMS?